## MgrFavorites

MgrFavorites — A GdaTreeManager for the stored favorites

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaTreeManager * | mgr_favorites_new ()

## Properties

BrowserConnection * | browser-connection | Read / Write / Construct Only

## Types and Values

struct | MgrFavorites
#define | MGR_FAVORITES_NAME_ATT_NAME
#define | MGR_FAVORITES_CONTENTS_ATT_NAME
#define | MGR_FAVORITES_ID_ATT_NAME
#define | MGR_FAVORITES_TYPE_ATT_NAME
#define | MGR_FAVORITES_POSITION_ATT_NAME

## Object Hierarchy

        GObject
        ╰── GdaTreeManager
            ╰── MgrFavorites

## Description

## Functions

### mgr_favorites_new ()

    GdaTreeManager *
    mgr_favorites_new (BrowserConnection *bcnc,
                       ToolsFavoritesType type,
                       gint order_key);

Creates a new GdaTreeManager object which will add one tree node for each favorite of the `type` type

#### Parameters

bcnc | a BrowserConnection object |
type | the type of favorites to handle |
order_key | ordering key, see `gda_tools_favorites_add()` |

#### Returns

a new GdaTreeManager object

## Types and Values

### struct MgrFavorites

    struct MgrFavorites;

### MGR_FAVORITES_NAME_ATT_NAME

    #define MGR_FAVORITES_NAME_ATT_NAME "fav_name"

### MGR_FAVORITES_CONTENTS_ATT_NAME

    #define MGR_FAVORITES_CONTENTS_ATT_NAME "fav_contents"

### MGR_FAVORITES_ID_ATT_NAME

    #define MGR_FAVORITES_ID_ATT_NAME "fav_id"

### MGR_FAVORITES_TYPE_ATT_NAME

    #define MGR_FAVORITES_TYPE_ATT_NAME "fav_type"

### MGR_FAVORITES_POSITION_ATT_NAME

    #define MGR_FAVORITES_POSITION_ATT_NAME "fav_pos"

## Property Details

### The `“browser-connection”` property

      “browser-connection”       BrowserConnection *

Connection to use.

Owner: MgrFavorites

Flags: Read / Write / Construct Only